Skip to Content
veriom

Update policy

PUT
/v1/workspaces/{workspace_id}/ownership/policy

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Request Body

application/json
  1. body
config*
expected_version*Expected Version
Range0 <= value

Response Body

Successful Response

application/json
  1. response
config?
created_at?|null
id?|null
version?Version
Default0
Example Request
curl -X PUT 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/ownership/policy' \  -H 'Content-Type: application/json' \  -d '{  "config": {},  "expected_version": 0}'
Example Response
{  "config": {    "deadlines": {      "critical": 1,      "high": 7,      "low": 90,      "medium": 30    },    "escalation_after_days": 1,    "escalation_enabled": false,    "escalation_user_id": "9da19abc-8d4e-49fd-afd4-9c8231620123",    "mappings": [      {        "deadlines": {          "critical": 1,          "high": 7,          "low": 90,          "medium": 30        },        "identity": "string",        "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"      }    ],    "mode": "suggest",    "use_service_owners": true  },  "created_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "version": 0}